/*
 * Copyright (c) 2014 - 2020 Honda Research Institute Japan Co., Ltd.
 * All rights reserved.
 * HARK was developed by researchers in Okuno Laboratory
 * at the Kyoto University and Honda Research Institute Japan Co.,Ltd.
 * 
 * Licensed under the HARK license, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 * https://www.hark.jp/notice/HARK_License_Agreement.pdf
 */

#ifndef FLTFILE_H
#define FLTFILE_H

long get_flt_size(const char* fname);
//int read_flt(const char* fname, double* dBuf, size_t file_size);
int read_flt(const char* fname, double* dBuf, size_t file_size, double* signal_max);
int write_flt(const char* fname, const double* dBuf, size_t count);

#endif

