/*
 * Copyright (c) 2014 - 2020 Honda Research Institute Japan Co., Ltd.
 * All rights reserved.
 * HARK was developed by researchers in Okuno Laboratory
 * at the Kyoto University and Honda Research Institute Japan Co.,Ltd.
 * 
 * Licensed under the HARK license, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 * https://www.hark.jp/notice/HARK_License_Agreement.pdf
 */

#ifndef _WAVFILE_H_
#define _WAVFILE_H_
int readwavfile(char *fname,
                double ***wave,
				int *length,
				int *ch,
                int *samplerate,
                int *frame);

int writewavfile(char *fname, double **wave,
				 int length,
				 int ch,
				 int samplerate);



int readwavimpfile(char   *fname,
                double ***wave,
                int    *length,
                int    *ch,
                int    *samplerate,
                int    *format);

int writewave(SNDFILE *fp, SF_INFO *sfinfo, int count, double **wave);

int harktool_writewave(SNDFILE *fp     ,
                       SF_INFO *sfinfo ,
                       int     count   ,
                       double **wave);

int harktool_writewavfile(char  *fname  ,
                          float *data  ,
                          int    length   ,
                          int    ch       ,
                          int    samplerate );


#endif

